/***
 * Excerpted from "JavaScript Brain Teasers",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjsbrain for more book information.
***/
// Check if response has a data object
// and data has a user property

const response = {
  //…
};
 
// using the conditional statement
if (response && response.data) {
  const user = response.data.user;
}

// using the ternary operator
const user =
  (response ?
    (response.data ?
      response.data.user :
      undefined) :
    undefined);